<?xml version="1.0"?>
<GTK-Interface>

<project>
  <name>producer_queue</name>
  <program_name>queue</program_name>
  <directory></directory>
  <source_directory>src</source_directory>
  <pixmaps_directory>pixmaps</pixmaps_directory>
  <language>C</language>
  <gnome_support>True</gnome_support>
  <gettext_support>True</gettext_support>
</project>

<widget>
  <class>GtkWindow</class>
  <name>window2</name>
  <visible>False</visible>
  <title>window2</title>
  <type>GTK_WINDOW_TOPLEVEL</type>
  <position>GTK_WIN_POS_NONE</position>
  <modal>False</modal>
  <allow_shrink>True</allow_shrink>
  <allow_grow>True</allow_grow>
  <auto_shrink>True</auto_shrink>

  <widget>
    <class>GtkFrame</class>
    <name>main_widget</name>
    <signal>
      <name>drag_data_received</name>
      <handler>gdam_queue_filename_drag_received</handler>
      <last_modification_time>Wed, 06 Oct 1999 02:18:17 GMT</last_modification_time>
    </signal>
    <label_xalign>0</label_xalign>
    <shadow_type>GTK_SHADOW_NONE</shadow_type>

    <widget>
      <class>GtkVBox</class>
      <name>vbox1</name>
      <homogeneous>False</homogeneous>
      <spacing>0</spacing>

      <widget>
	<class>GtkHBox</class>
	<name>hbox3</name>
	<height>16</height>
	<homogeneous>False</homogeneous>
	<spacing>0</spacing>
	<child>
	  <padding>0</padding>
	  <expand>True</expand>
	  <fill>True</fill>
	</child>

	<widget>
	  <class>GtkButton</class>
	  <name>button1</name>
	  <tooltip>skip back one song</tooltip>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>clicked</name>
	    <handler>gdam_queue_skip_song:-1</handler>
	    <last_modification_time>Sat, 08 Jan 2000 05:03:06 GMT</last_modification_time>
	  </signal>
	  <label>&lt;</label>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkButton</class>
	  <name>button10</name>
	  <tooltip>launch song selector</tooltip>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>gdam-left-clicked</name>
	    <handler>gdam_skin_launch_unique:GdamPacker:songsel.xml:GdamSongSelector</handler>
	    <last_modification_time>Wed, 02 Feb 2000 01:41:03 GMT</last_modification_time>
	  </signal>
	  <signal>
	    <name>gdam-control-clicked</name>
	    <handler>gdam_skin_launch:GdamPacker:songsel_palette.xml:GdamSongSelector</handler>
	    <last_modification_time>Wed, 02 Feb 2000 01:41:03 GMT</last_modification_time>
	  </signal>
	  <signal>
	    <name>drag_data_get</name>
	    <handler>gdam_queue_drag_data_get</handler>
	    <last_modification_time>Sat, 19 Feb 2000 08:28:09 GMT</last_modification_time>
	  </signal>
	  <label>o</label>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkButton</class>
	  <name>button12</name>
	  <tooltip>import filenames from song selector</tooltip>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>clicked</name>
	    <handler>gdam_queue_import_songsel_files</handler>
	    <last_modification_time>Thu, 17 Feb 2000 04:11:20 GMT</last_modification_time>
	  </signal>
	  <label>=&gt;</label>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkButton</class>
	  <name>button11</name>
	  <tooltip>open queue window</tooltip>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>clicked</name>
	    <handler>gdam_skin_skin_do_toggle:queue_visibility</handler>
	    <last_modification_time>Fri, 28 Jan 2000 03:40:13 GMT</last_modification_time>
	  </signal>
	  <signal>
	    <name>drag_data_get</name>
	    <handler>gdam_queue_drag_data_get</handler>
	    <last_modification_time>Sat, 19 Feb 2000 08:28:09 GMT</last_modification_time>
	  </signal>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>

	  <widget>
	    <class>GtkLabel</class>
	    <name>label4</name>
	    <height>16</height>
	    <label>^</label>
	    <justify>GTK_JUSTIFY_CENTER</justify>
	    <wrap>False</wrap>
	    <xalign>0.5</xalign>
	    <yalign>0</yalign>
	    <xpad>0</xpad>
	    <ypad>0</ypad>
	  </widget>
	</widget>

	<widget>
	  <class>GtkFrame</class>
	  <name>frame1_blue</name>
	  <label_xalign>0</label_xalign>
	  <shadow_type>GTK_SHADOW_OUT</shadow_type>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>

	  <widget>
	    <class>GtkEventBox</class>
	    <name>eventbox2_blue</name>
	    <tooltip>disable contiguous cueing - better performance but leaves tiny gaps between tracks</tooltip>

	    <widget>
	      <class>GtkHBox</class>
	      <name>hbox4</name>
	      <homogeneous>False</homogeneous>
	      <spacing>0</spacing>

	      <widget>
		<class>GtkVBox</class>
		<name>vbox6_blue</name>
		<homogeneous>False</homogeneous>
		<spacing>0</spacing>
		<child>
		  <padding>0</padding>
		  <expand>True</expand>
		  <fill>False</fill>
		</child>

		<widget>
		  <class>Custom</class>
		  <name>custom14</name>
		  <width>7</width>
		  <height>9</height>
		  <tooltip>disable contiguous cueing - better performance but leaves tiny gaps between tracks</tooltip>
		  <signal>
		    <name>toggled</name>
		    <handler>gdam_skin_create_if_defined:!simple:gdam_skin_toggle_button:contiguous_queueing_disabled</handler>
		    <last_modification_time>Thu, 24 May 2001 03:18:00 GMT</last_modification_time>
		  </signal>
		  <creation_function>gtk_pix_button_create_func</creation_function>
		  <string1>bluetone/c_yellow.xpm:bluetone/c_red.xpm:bluetone/c_yellow.xpm:bluetone/c_red.xpm</string1>
		  <int1>1</int1>
		  <int2>0</int2>
		  <last_modification_time>Fri, 12 May 2000 23:00:20 GMT</last_modification_time>
		  <child>
		    <padding>0</padding>
		    <expand>True</expand>
		    <fill>False</fill>
		  </child>
		</widget>
	      </widget>
	    </widget>
	  </widget>
	</widget>

	<widget>
	  <class>GtkFrame</class>
	  <name>frame2_blue</name>
	  <label_xalign>0</label_xalign>
	  <shadow_type>GTK_SHADOW_OUT</shadow_type>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>

	  <widget>
	    <class>GtkEventBox</class>
	    <name>eventbox100_blue</name>
	    <signal>
	      <name>gdam-left-clicked</name>
	      <handler>gdam_skin_arg_int:repeat_mode:1:is_delta</handler>
	      <last_modification_time>Sun, 05 Dec 1999 01:45:37 GMT</last_modification_time>
	    </signal>

	    <widget>
	      <class>GtkHBox</class>
	      <name>hbox5</name>
	      <homogeneous>False</homogeneous>
	      <spacing>0</spacing>

	      <widget>
		<class>GtkVBox</class>
		<name>vbox5_blue</name>
		<homogeneous>False</homogeneous>
		<spacing>0</spacing>
		<child>
		  <padding>0</padding>
		  <expand>True</expand>
		  <fill>False</fill>
		</child>

		<widget>
		  <class>Custom</class>
		  <name>custom_repeat_dial</name>
		  <width>13</width>
		  <height>11</height>
		  <tooltip>repeat mode</tooltip>
		  <can_focus>True</can_focus>
		  <signal>
		    <name>whatever</name>
		    <handler>gdam_skin_adjustment:repeat_mode</handler>
		    <last_modification_time>Sat, 26 May 2001 17:24:00 GMT</last_modification_time>
		  </signal>
		  <creation_function>gdam_dial_create_func</creation_function>
		  <string1>bluetone/minirepeat_dial.xpm</string1>
		  <string2>0:0:3:no_mouse</string2>
		  <int1>800</int1>
		  <int2>4</int2>
		  <last_modification_time>Wed, 19 Jul 2000 00:10:32 GMT</last_modification_time>
		  <child>
		    <padding>0</padding>
		    <expand>True</expand>
		    <fill>False</fill>
		  </child>
		</widget>
	      </widget>
	    </widget>
	  </widget>
	</widget>

	<widget>
	  <class>GtkToggleButton</class>
	  <name>togglebutton1</name>
	  <visible>False</visible>
	  <tooltip>repeat playlist at end</tooltip>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>toggled</name>
	    <handler>gdam_skin_do_toggle:repeat</handler>
	    <last_modification_time>Wed, 08 Mar 2000 05:05:59 GMT</last_modification_time>
	  </signal>
	  <active>False</active>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>

	  <widget>
	    <class>GtkLabel</class>
	    <name>label5</name>
	    <label>repeat</label>
	    <justify>GTK_JUSTIFY_CENTER</justify>
	    <wrap>False</wrap>
	    <xalign>0.5</xalign>
	    <yalign>0.65</yalign>
	    <xpad>0</xpad>
	    <ypad>0</ypad>
	  </widget>
	</widget>

	<widget>
	  <class>GtkButton</class>
	  <name>button2</name>
	  <tooltip>skip forward one song</tooltip>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>clicked</name>
	    <handler>gdam_queue_skip_song:1</handler>
	    <last_modification_time>Sat, 08 Jan 2000 05:03:29 GMT</last_modification_time>
	  </signal>
	  <label>&gt;</label>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>
	</widget>
      </widget>

      <widget>
	<class>GtkHBox</class>
	<name>hbox1</name>
	<homogeneous>False</homogeneous>
	<spacing>0</spacing>
	<child>
	  <padding>0</padding>
	  <expand>False</expand>
	  <fill>False</fill>
	</child>

	<widget>
	  <class>GtkEntry</class>
	  <name>filename_entry</name>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>whatever</name>
	    <handler>gdam_queue_filename_entry</handler>
	    <last_modification_time>Tue, 05 Oct 1999 23:32:39 GMT</last_modification_time>
	  </signal>
	  <editable>False</editable>
	  <text_visible>True</text_visible>
	  <text_max_length>0</text_max_length>
	  <text>filename...</text>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>
	</widget>
      </widget>
    </widget>
  </widget>
</widget>

<widget>
  <class>GtkWindow</class>
  <name>queue window</name>
  <visible>False</visible>
  <signal>
    <name>whateve</name>
    <handler>gdam_queue_queue_toplevel</handler>
    <last_modification_time>Fri, 28 Jan 2000 03:38:52 GMT</last_modification_time>
  </signal>
  <title>Queued Songs</title>
  <type>GTK_WINDOW_TOPLEVEL</type>
  <position>GTK_WIN_POS_NONE</position>
  <modal>False</modal>
  <default_width>500</default_width>
  <default_height>200</default_height>
  <allow_shrink>False</allow_shrink>
  <allow_grow>True</allow_grow>
  <auto_shrink>False</auto_shrink>

  <widget>
    <class>GtkVBox</class>
    <name>vbox2</name>
    <homogeneous>False</homogeneous>
    <spacing>0</spacing>

    <widget>
      <class>GtkScrolledWindow</class>
      <name>scrolledwindow2</name>
      <hscrollbar_policy>GTK_POLICY_ALWAYS</hscrollbar_policy>
      <vscrollbar_policy>GTK_POLICY_ALWAYS</vscrollbar_policy>
      <hupdate_policy>GTK_UPDATE_CONTINUOUS</hupdate_policy>
      <vupdate_policy>GTK_UPDATE_CONTINUOUS</vupdate_policy>
      <child>
	<padding>0</padding>
	<expand>True</expand>
	<fill>True</fill>
      </child>

      <widget>
	<class>GtkCList</class>
	<name>clist1</name>
	<can_focus>True</can_focus>
	<signal>
	  <name>whatever</name>
	  <handler>gdam_queue_clist:queued:filename</handler>
	  <last_modification_time>Sun, 06 Feb 2000 18:14:34 GMT</last_modification_time>
	</signal>
	<columns>2</columns>
	<column_widths>20,80</column_widths>
	<selection_mode>GTK_SELECTION_EXTENDED</selection_mode>
	<show_titles>True</show_titles>
	<shadow_type>GTK_SHADOW_IN</shadow_type>

	<widget>
	  <class>GtkLabel</class>
	  <child_name>CList:title</child_name>
	  <name>label2</name>
	  <label>=&gt;</label>
	  <justify>GTK_JUSTIFY_CENTER</justify>
	  <wrap>False</wrap>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	</widget>

	<widget>
	  <class>GtkLabel</class>
	  <child_name>CList:title</child_name>
	  <name>label3</name>
	  <label>filename</label>
	  <justify>GTK_JUSTIFY_CENTER</justify>
	  <wrap>False</wrap>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	</widget>
      </widget>
    </widget>

    <widget>
      <class>GtkHBox</class>
      <name>hbox2</name>
      <homogeneous>False</homogeneous>
      <spacing>0</spacing>
      <child>
	<padding>0</padding>
	<expand>False</expand>
	<fill>False</fill>
      </child>

      <widget>
	<class>GtkButton</class>
	<name>button3</name>
	<can_focus>True</can_focus>
	<signal>
	  <name>clicked</name>
	  <handler>gdam_queue_delete_clicked</handler>
	  <last_modification_time>Wed, 19 Jan 2000 06:49:04 GMT</last_modification_time>
	</signal>
	<label>rm</label>
	<child>
	  <padding>0</padding>
	  <expand>True</expand>
	  <fill>True</fill>
	</child>
      </widget>

      <widget>
	<class>GtkButton</class>
	<name>button4</name>
	<can_focus>True</can_focus>
	<signal>
	  <name>clicked</name>
	  <handler>gdam_queue_up_clicked</handler>
	  <last_modification_time>Wed, 19 Jan 2000 06:49:46 GMT</last_modification_time>
	</signal>
	<label>up</label>
	<child>
	  <padding>0</padding>
	  <expand>True</expand>
	  <fill>True</fill>
	</child>
      </widget>

      <widget>
	<class>GtkButton</class>
	<name>button5</name>
	<can_focus>True</can_focus>
	<signal>
	  <name>clicked</name>
	  <handler>gdam_queue_down_clicked</handler>
	  <last_modification_time>Wed, 19 Jan 2000 06:50:21 GMT</last_modification_time>
	</signal>
	<label>down</label>
	<child>
	  <padding>0</padding>
	  <expand>True</expand>
	  <fill>True</fill>
	</child>
      </widget>

      <widget>
	<class>GtkButton</class>
	<name>button7</name>
	<can_focus>True</can_focus>
	<signal>
	  <name>clicked</name>
	  <handler>gdam_queue_select_clicked</handler>
	  <last_modification_time>Thu, 20 Jan 2000 03:51:49 GMT</last_modification_time>
	</signal>
	<label>skip to</label>
	<child>
	  <padding>0</padding>
	  <expand>True</expand>
	  <fill>True</fill>
	</child>
      </widget>

      <widget>
	<class>GtkButton</class>
	<name>button13</name>
	<can_focus>True</can_focus>
	<signal>
	  <name>clicked</name>
	  <handler>gdam_queue_source_filename</handler>
	  <last_modification_time>Mon, 15 May 2000 23:31:43 GMT</last_modification_time>
	</signal>
	<label>source...</label>
	<child>
	  <padding>0</padding>
	  <expand>True</expand>
	  <fill>True</fill>
	</child>
      </widget>

      <widget>
	<class>GtkButton</class>
	<name>button6</name>
	<can_focus>True</can_focus>
	<signal>
	  <name>clicked</name>
	  <handler>gdam_skin_launch_unique:GdamPacker:songsel.xml:GdamSongSelector</handler>
	  <last_modification_time>Thu, 20 Jan 2000 03:49:54 GMT</last_modification_time>
	</signal>
	<label>Song DB</label>
	<child>
	  <padding>0</padding>
	  <expand>False</expand>
	  <fill>False</fill>
	</child>
      </widget>
    </widget>
  </widget>
</widget>

</GTK-Interface>
